curl --request GET \
--url https://api.siftstack.com/api/v1/views/{viewId} \
--header 'Authorization: Bearer <token>'{
"view": {
"viewId": "<string>",
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
],
"calculatedChannelConfig": {
"channelKey": "<string>",
"channelReferences": {},
"expression": "<string>",
"unit": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
}
}Retrieves a view.
curl --request GET \
--url https://api.siftstack.com/api/v1/views/{viewId} \
--header 'Authorization: Bearer <token>'{
"view": {
"viewId": "<string>",
"name": "<string>",
"axisGroups": {
"left": [
"<string>"
],
"right": [
"<string>"
]
},
"channels": [
{
"name": "<string>",
"component": "<string>",
"dataType": "<string>",
"axisGroup": "<string>",
"bitFieldNames": [
"<string>"
],
"calculatedChannelConfig": {
"channelKey": "<string>",
"channelReferences": {},
"expression": "<string>",
"unit": "<string>"
}
}
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"organizationId": "<string>",
"modifiedByUserId": "<string>",
"isPinned": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?